Cancel subscription
curl --request POST \
--url https://api.truthlocks.com/v1/billing/cancel \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"reason": "<string>",
"immediate": true
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>', immediate: true})
};
fetch('https://api.truthlocks.com/v1/billing/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/billing/cancel"
payload = {
"reason": "<string>",
"immediate": True
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/billing/cancel"
payload := strings.NewReader("{\n \"reason\": \"<string>\",\n \"immediate\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"status": "<string>",
"cancels_at": "<string>"
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}Billing
Cancel subscription
Cancel the active subscription for the authenticated tenant at the end of the current billing period.
POST
/
v1
/
billing
/
cancel
Cancel subscription
curl --request POST \
--url https://api.truthlocks.com/v1/billing/cancel \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"reason": "<string>",
"immediate": true
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>', immediate: true})
};
fetch('https://api.truthlocks.com/v1/billing/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/billing/cancel"
payload = {
"reason": "<string>",
"immediate": True
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/billing/cancel"
payload := strings.NewReader("{\n \"reason\": \"<string>\",\n \"immediate\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"status": "<string>",
"cancels_at": "<string>"
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}POST /v1/billing/cancel
Response
Returns the updated subscription object withcancel_at_period_end set to true.
ISO 8601 timestamp for when the current billing period ends and the cancellation takes effect.
Cancellation is immediate but takes effect at the end of your billing period. You cannot undo a cancellation via the API — to resubscribe, create a new checkout session.

